format = """
[](color_user_bg)\
$os\
$username\
$hostname\
[](fg:color_user_bg bg:color_directory_bg)\
$directory\
$direnv\
[](fg:color_directory_bg bg:color_git_bg)\
$git_branch\
$git_commit\
$git_state\
$git_status\
[](fg:color_git_bg bg:color_code_bg)\
$c\
$elixir\
$elm\
$golang\
$gradle\
$haskell\
$java\
$julia\
$nodejs\
$nim\
$python\
$rust\
$scala\
[](fg:color_code_bg bg:color_time_bg)\
$time\
[ ](color_time_bg)\
$line_break$character
"""

palette = 'lesbian_pastel'

[palettes.lesbian_pastel]
color_user_fg = '#FFFFFF'
color_user_bg = '#F94B1D'
color_directory_fg = '#555555'
color_directory_bg = '#FFAF78'
color_git_fg = '#666666'
color_git_bg = '#FFFFFF'
color_code_fg = '#FFFFFF'
color_code_bg = '#E28ABE'
color_time_fg = '#FFFFFF'
color_time_bg = '#C1177E'

[palettes.bisexual_pastel]
color_user_fg = '#FFFFFF'
color_user_bg = '#D82E88'
color_directory_fg = '#FFFFFF'
color_directory_bg = '#D82E88'
color_git_fg = '#FFFFFF'
color_git_bg = '#B679B1'
color_code_fg = '#FFFFFF'
color_code_bg = '#004BE0'
color_time_fg = '#FFFFFF'
color_time_bg = '#004BE0'

[palettes.poly_pastel]
color_user_fg = '#666666'
color_user_bg = '#FFFFFF'
color_directory_fg = '#666666'
color_directory_bg = '#FFCF37'
color_git_fg = '#FFFFFF'
color_git_bg = '#06B4FF'
color_code_fg = '#FFFFFF'
color_code_bg = '#E62F70'
color_time_fg = '#FFFFFF'
color_time_bg = '#4B1E5F'

[palettes.pansexual_pastel]
color_user_fg = '#FFFFFF'
color_user_bg = '#FF4BA3'
color_directory_fg = '#FFFFFF'
color_directory_bg = '#FF4BA3'
color_git_fg = '#666666'
color_git_bg = '#FFE138'
color_code_fg = '#FFFFFF'
color_code_bg = '#4AC0FF'
color_time_fg = '#FFFFFF'
color_time_bg = '#4AC0FF'

# Disable the blank line at the start of the prompt
# add_newline = false

# You can also replace your username with a neat symbol like   or disable this
# and use the os module below
[username]
show_always = true
style_user = "fg:color_user_fg bg:color_user_bg"
style_root = "fg:color_user_fg bg:color_user_bg"
format = '[ $user]($style)'
disabled = false

[hostname]
ssh_only = false
ssh_symbol = ' '
style = 'fg:color_user_fg bg:color_user_bg'
format = '[@$hostname$ssh_symbol ]($style)'

# An alternative to the username module which displays a symbol that
# represents the current operating system
[os]
style = "fg:color_user_fg bg:color_user_bg"
disabled = false # Disabled by default

[os.symbols]
Macos = "󰀵"
Arch = "󰣇"

[directory]
style = "fg:color_directory_fg bg:color_directory_bg"
format = "[ $path ]($style)"
truncation_length = 3
truncation_symbol = "…/"

# Here is how you can shorten some long paths by text replacement
# similar to mapped_locations in Oh My Posh:
#[directory.substitutions]
#"Documents" = "󰈙 "
#"Downloads" = " "
#"Music" = " "
#"Pictures" = " "
# Keep in mind that the order matters. For example:
# "Important Documents" = " 󰈙 "
# will not be replaced, because "Documents" was already substituted before.
# So either put "Important Documents" before "Documents" or use the substituted version:
# "Important 󰈙 " = " 󰈙 "

[git_branch]
symbol = "󰊤 "
only_attached = true
style = "fg:color_git_fg bg:color_git_bg"
format = '[ $symbol $branch]($style)'

[git_commit]
style = "fg:color_git_fg bg:color_git_bg"
tag_disabled = false
tag_symbol = ''
format = '[ \($hash:$tag\)]($style)'

[git_state]
rebase = 'rebasing'
merge = 'merging'
revert = 'reverting'
cherry_pick = 'cherry picking'
bisect = 'bisecting'
am = 'am'
am_or_rebase = 'am/rebase'
style = 'fg:color_git_fg bg:color_git_bg'
format = '[ \($state( $progress_current/$progress_total)\)]($style)'

[git_status]
style = "fg:color_git_fg bg:color_git_bg"
ahead = '⇡${count} '
diverged = '⇕⇡${ahead_count}⇣${behind_count} '
behind = '⇣${count} '
untracked = '?${count} '
modified = '!${count} '
stashed = '\$${count} '
staged = '+${count} '
renamed = '»${count} '
deleted = '-${count} '
conflicted = '=${count} '
format = '[ $all_status$ahead_behind]($style)'

[golang]
symbol = ""
style = "fg:color_code_fg bg:color_code_bg"
format = '[ $symbol ($version) ]($style)'

[python]
symbol = ""
style = "fg:color_code_fg bg:color_code_bg"
format = '[ $symbol ($virtualenv)($version) ]($style)'
pyenv_version_name = true

[time]
disabled = false
time_format = "%R" # Hour:Minute Format
style = "fg:color_time_fg bg:color_time_bg"
format = '[ ♥ $time ]($style)'
